@remit/api-openapi-types 0.0.76 → 0.0.78
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/package.json +1 -1
- package/types.d.ts +148 -0
package/package.json
CHANGED
package/types.d.ts
CHANGED
|
@@ -304,6 +304,10 @@ distinguishable from a network failure without parsing prose.
|
|
|
304
304
|
* Where in a message a suggestion was read from. It is what a card says to explain itself, and it is what separates a suggestion carrying real iCalendar from one inferred out of prose.
|
|
305
305
|
*/
|
|
306
306
|
export type CalendarSuggestionSource = "IcalendarPart" | "IcalendarAttachment" | "TextHeuristic";
|
|
307
|
+
/**
|
|
308
|
+
* Whether an answered cancellation holds the calendar object this suggestion's answer wrote. A cancellation is terminal, so such an answer cannot be taken back.
|
|
309
|
+
*/
|
|
310
|
+
export type CalendarAnswerOvertaken = "None" | "Cancellation";
|
|
307
311
|
/**
|
|
308
312
|
* The answer an invitation is added to a calendar with. It is written as the user's `ATTENDEE;PARTSTAT` on the stored event (RFC 5545 3.2.12) and becomes the suggestion's state.
|
|
309
313
|
*/
|
|
@@ -2197,6 +2201,73 @@ sets `hasAnchor`. Absent for a purely-literal filter.
|
|
|
2197
2201
|
*/
|
|
2198
2202
|
anchorMessageId?: UUID;
|
|
2199
2203
|
}
|
|
2204
|
+
/**
|
|
2205
|
+
* Response body for POST /accounts/{accountId}/filters: the created filter, plus the back-apply job that runs it over the inbox.
|
|
2206
|
+
*/
|
|
2207
|
+
export interface CreateFilterResponse {
|
|
2208
|
+
/**
|
|
2209
|
+
* Primary identifier. Stable id — the human name is a separate mutable overlay, never the key.
|
|
2210
|
+
*/
|
|
2211
|
+
filterId: UUID;
|
|
2212
|
+
/**
|
|
2213
|
+
* Owning account configuration
|
|
2214
|
+
*/
|
|
2215
|
+
accountConfigId: UUID;
|
|
2216
|
+
/**
|
|
2217
|
+
* Plain-language name or editable label for this filter
|
|
2218
|
+
*/
|
|
2219
|
+
name: String256;
|
|
2220
|
+
/**
|
|
2221
|
+
* Standing (permanent) or Temporary (expires). Governs whether expiresAt/ttl are present (RFC 034 Decision 1). Mutable on update (reader #266): switching scope re-derives ttl and re-evaluates state from expiresAt, and bumps ruleChangedAt so a lapsed filter's back-application can be offered again. The semantic anchor stays immutable regardless — repointing it would silently change what a saved filter matches with nothing visible changing, which deserves a new filter instead.
|
|
2222
|
+
*/
|
|
2223
|
+
scope: FilterScope;
|
|
2224
|
+
/**
|
|
2225
|
+
* ISO 8601 date-time with zone offset, present only when scope is Temporary (RFC 034 Decision 1.1) — a business date, not an epoch instant. Every evaluation compares `now` against this value directly; it is the source of truth for whether a Temporary filter is still active, independent of `state` or row existence. Mutable on update (reader #266), alongside scope — moving the date bumps ruleChangedAt the same way a scope change does.
|
|
2226
|
+
*/
|
|
2227
|
+
expiresAt?: string;
|
|
2228
|
+
/**
|
|
2229
|
+
* Whether this filter runs, backing byAccountAndState (RFC 034 Decision 1.2). Starts Active. The user sets Active or Disabled on update; the system sets Disabled when the filter cannot work as designed, and records why in disabledReason. Expired is lazily patched the first time something reads a Temporary filter past its expiresAt, which stays the correctness source for expiry.
|
|
2230
|
+
*/
|
|
2231
|
+
state: FilterState;
|
|
2232
|
+
/**
|
|
2233
|
+
* Why this filter is Disabled; `None` whenever state is not Disabled. Written together with state, never on its own: turning a filter on clears it.
|
|
2234
|
+
*/
|
|
2235
|
+
disabledReason: FilterDisabledReason;
|
|
2236
|
+
/**
|
|
2237
|
+
* Whether a sibling FilterAnchor row exists for this filter (RFC 034 Decision 2.3). Lets the index-time worker skip the FilterAnchor `get` entirely for purely-literal filters instead of probing for a row that may not exist.
|
|
2238
|
+
*/
|
|
2239
|
+
hasAnchor: boolean;
|
|
2240
|
+
/**
|
|
2241
|
+
* Epoch seconds, written whenever the predicate, the action, the scope, or the expiry changes (reader #266) — never on a cosmetic rename. This is the broad "the user asserted something new about this rule" signal the settings UI uses to decide whether to re-offer a lapsed filter's back-application. It is deliberately NOT the precedence signal for the exclusive move action — see actionChangedAt for that (RFC 034 Decision 3.2, reader #384). Distinct from ElectroDB's own updatedAt, which bumps on any write.
|
|
2242
|
+
*/
|
|
2243
|
+
ruleChangedAt: number;
|
|
2244
|
+
/**
|
|
2245
|
+
* Epoch seconds, written only when the predicate (literalClauses, hasAnchor) or the action (actionLabelId, actionMailboxId) changes — never on scope, expiresAt, or a cosmetic rename. Backs most-recently-changed-filter-wins precedence for the exclusive move action (RFC 034 Decision 3.2). Split out from ruleChangedAt (reader #384): extending a filter's expiry or flipping its scope changes its lifecycle, not what it matches or does, so it must not promote the filter to move-winner.
|
|
2246
|
+
*/
|
|
2247
|
+
actionChangedAt: number;
|
|
2248
|
+
/**
|
|
2249
|
+
* How literalClauses combine. Meaningless when literalClauses is empty.
|
|
2250
|
+
*/
|
|
2251
|
+
matchOperator: FilterMatchOperator;
|
|
2252
|
+
/**
|
|
2253
|
+
* Literal from/subject/has-words predicate clauses (RFC 031). Empty when the filter relies solely on its semantic anchor (see hasAnchor).
|
|
2254
|
+
*/
|
|
2255
|
+
literalClauses: FilterClause[];
|
|
2256
|
+
/**
|
|
2257
|
+
* Label applied when this filter matches — additive action, any number of filters can independently apply their own label (RFC 034 Decision 3.1). The named sentinel `"None"` means no label action; never an empty/optional field.
|
|
2258
|
+
*/
|
|
2259
|
+
actionLabelId: string;
|
|
2260
|
+
/**
|
|
2261
|
+
* Mailbox matched messages are moved into — exclusive action, since a message lives in exactly one mailbox (RFC 034 Decision 3.1). On conflict between filters, the one with the latest actionChangedAt wins. `"None"` means no move action.
|
|
2262
|
+
*/
|
|
2263
|
+
actionMailboxId: string;
|
|
2264
|
+
createdAt: number;
|
|
2265
|
+
updatedAt: number;
|
|
2266
|
+
/**
|
|
2267
|
+
* The organize job queued to run the new filter over the inbox. Poll GET /accounts/{accountId}/organize/{organizeJobId}; a filter with nothing to run reports Failed with the reason.
|
|
2268
|
+
*/
|
|
2269
|
+
organizeJobId: string;
|
|
2270
|
+
}
|
|
2200
2271
|
/**
|
|
2201
2272
|
* Input for updating a filter (RFC 034, reader #266). The name, predicate,
|
|
2202
2273
|
action, scope, and expiresAt are all updatable; `ttl` is always
|
|
@@ -2339,6 +2410,10 @@ rule. The anchor is derived transiently from `anchorMessageId`'s existing chunk
|
|
|
2339
2410
|
vectors at match time and never persisted as a FilterAnchor row.
|
|
2340
2411
|
*/
|
|
2341
2412
|
export interface OrganizeInput {
|
|
2413
|
+
/**
|
|
2414
|
+
* Back-apply this standing filter instead of the predicate in this body. The server reads the filter's persisted predicate, action and FilterAnchor, runs the pass over the inbox, and skips a move another active filter outranks, as index time does. The predicate and action fields of this body are ignored when it is set.
|
|
2415
|
+
*/
|
|
2416
|
+
filterId?: UUID;
|
|
2342
2417
|
/**
|
|
2343
2418
|
* Anchor message for the semantic half — "all like this one". Absent for a purely-literal back-apply. The anchor vector is pooled transiently from this message's indexed chunk vectors and never written to a FilterAnchor row.
|
|
2344
2419
|
*/
|
|
@@ -2426,6 +2501,10 @@ standing to persist.
|
|
|
2426
2501
|
* Current lifecycle state of the job
|
|
2427
2502
|
*/
|
|
2428
2503
|
state: OrganizeJobState;
|
|
2504
|
+
/**
|
|
2505
|
+
* The standing filter this job back-applies, or the `"None"` sentinel for an "all like these" pass. A sentinel, not an optional field, so the persisted entity has no optional attributes (RFC 032).
|
|
2506
|
+
*/
|
|
2507
|
+
filterId: string;
|
|
2429
2508
|
/**
|
|
2430
2509
|
* Snapshot of the anchor message id, or the `"None"` sentinel for a purely-literal back-apply. A sentinel, not an optional field, so the persisted entity has no optional attributes (RFC 032).
|
|
2431
2510
|
*/
|
|
@@ -2499,6 +2578,10 @@ standing to persist.
|
|
|
2499
2578
|
* Current lifecycle state of the job
|
|
2500
2579
|
*/
|
|
2501
2580
|
state: OrganizeJobState;
|
|
2581
|
+
/**
|
|
2582
|
+
* The standing filter this job back-applies, or the `"None"` sentinel for an "all like these" pass. A sentinel, not an optional field, so the persisted entity has no optional attributes (RFC 032).
|
|
2583
|
+
*/
|
|
2584
|
+
filterId: string;
|
|
2502
2585
|
/**
|
|
2503
2586
|
* Snapshot of the anchor message id, or the `"None"` sentinel for a purely-literal back-apply. A sentinel, not an optional field, so the persisted entity has no optional attributes (RFC 032).
|
|
2504
2587
|
*/
|
|
@@ -5581,6 +5664,10 @@ and no message may make that change without them.
|
|
|
5581
5664
|
* The conversation holding `supersededByMessageId`, which is what the reading pane opens. `""` when this revision was not superseded, or when that message sits in no conversation any more.
|
|
5582
5665
|
*/
|
|
5583
5666
|
supersededByThreadId: string;
|
|
5667
|
+
/**
|
|
5668
|
+
* Whether an answered cancellation holds the event this answer wrote. `Cancellation` means `reopen` answers 400.
|
|
5669
|
+
*/
|
|
5670
|
+
answerOvertakenBy: CalendarAnswerOvertaken;
|
|
5584
5671
|
}
|
|
5585
5672
|
/**
|
|
5586
5673
|
* Body of `POST /calendar-suggestions/{suggestionId}/accept`. Names the collection the event is written into; there is no default, because filing someone else's invitation into a calendar the user did not pick is a decision the server does not get to make.
|
|
@@ -7384,6 +7471,17 @@ declare namespace Paths {
|
|
|
7384
7471
|
export type $401 = void;
|
|
7385
7472
|
}
|
|
7386
7473
|
}
|
|
7474
|
+
namespace ReopenCalendarSuggestion {
|
|
7475
|
+
export interface PathParameters {
|
|
7476
|
+
suggestionId: Components.Schemas.UUID;
|
|
7477
|
+
}
|
|
7478
|
+
namespace Responses {
|
|
7479
|
+
export type $200 = void;
|
|
7480
|
+
export type $400 = void;
|
|
7481
|
+
export type $404 = void;
|
|
7482
|
+
export type $401 = void;
|
|
7483
|
+
}
|
|
7484
|
+
}
|
|
7387
7485
|
}
|
|
7388
7486
|
|
|
7389
7487
|
export interface OperationMethods {
|
|
@@ -8155,6 +8253,29 @@ is answered `Tentative`, or when its iCalendar will not parse.
|
|
|
8155
8253
|
data?: Paths.DismissCalendarSuggestion.RequestBody,
|
|
8156
8254
|
config?: AxiosRequestConfig
|
|
8157
8255
|
): OperationResponse<Paths.DismissCalendarSuggestion.Responses.$200>;
|
|
8256
|
+
/**
|
|
8257
|
+
* reopenCalendarSuggestion - Take an answer back. An accepted, tentative, declined or dismissed
|
|
8258
|
+
suggestion returns to `Pending`, so the card asks again. One
|
|
8259
|
+
transaction: the suggestion is settled `Pending` with
|
|
8260
|
+
`acceptedCalendarObjectId: ""`, and the calendar object an accept or a
|
|
8261
|
+
maybe wrote is removed with its occurrences and every remainder a
|
|
8262
|
+
this-and-following edit split off it in that calendar, unless another
|
|
8263
|
+
suggestion is still answered into that object; then the object stays with
|
|
8264
|
+
that answer. A sender rule written by
|
|
8265
|
+
`dismiss{muteSender}` stays; it is a rule of its own, edited where rules
|
|
8266
|
+
are.
|
|
8267
|
+
|
|
8268
|
+
No mail is sent. Idempotent: a `Pending` suggestion is returned as it is.
|
|
8269
|
+
|
|
8270
|
+
400 when the suggestion is `Superseded`, which a later revision retired,
|
|
8271
|
+
a `Cancel`, whose answer rewrote an event it cannot restore, or its
|
|
8272
|
+
`answerOvertakenBy` is `Cancellation`, because a cancellation is terminal.
|
|
8273
|
+
*/
|
|
8274
|
+
'reopenCalendarSuggestion'(
|
|
8275
|
+
parameters?: Parameters<Paths.ReopenCalendarSuggestion.PathParameters> | null,
|
|
8276
|
+
data?: any,
|
|
8277
|
+
config?: AxiosRequestConfig
|
|
8278
|
+
): OperationResponse<Paths.ReopenCalendarSuggestion.Responses.$200>;
|
|
8158
8279
|
}
|
|
8159
8280
|
|
|
8160
8281
|
export interface PathsDictionary {
|
|
@@ -9048,6 +9169,31 @@ is answered `Tentative`, or when its iCalendar will not parse.
|
|
|
9048
9169
|
config?: AxiosRequestConfig
|
|
9049
9170
|
): OperationResponse<Paths.DismissCalendarSuggestion.Responses.$200>;
|
|
9050
9171
|
};
|
|
9172
|
+
['/calendar-suggestions/{suggestionId}/reopen']: {
|
|
9173
|
+
/**
|
|
9174
|
+
* reopenCalendarSuggestion - Take an answer back. An accepted, tentative, declined or dismissed
|
|
9175
|
+
suggestion returns to `Pending`, so the card asks again. One
|
|
9176
|
+
transaction: the suggestion is settled `Pending` with
|
|
9177
|
+
`acceptedCalendarObjectId: ""`, and the calendar object an accept or a
|
|
9178
|
+
maybe wrote is removed with its occurrences and every remainder a
|
|
9179
|
+
this-and-following edit split off it in that calendar, unless another
|
|
9180
|
+
suggestion is still answered into that object; then the object stays with
|
|
9181
|
+
that answer. A sender rule written by
|
|
9182
|
+
`dismiss{muteSender}` stays; it is a rule of its own, edited where rules
|
|
9183
|
+
are.
|
|
9184
|
+
|
|
9185
|
+
No mail is sent. Idempotent: a `Pending` suggestion is returned as it is.
|
|
9186
|
+
|
|
9187
|
+
400 when the suggestion is `Superseded`, which a later revision retired,
|
|
9188
|
+
a `Cancel`, whose answer rewrote an event it cannot restore, or its
|
|
9189
|
+
`answerOvertakenBy` is `Cancellation`, because a cancellation is terminal.
|
|
9190
|
+
*/
|
|
9191
|
+
'post'(
|
|
9192
|
+
parameters?: Parameters<Paths.ReopenCalendarSuggestion.PathParameters> | null,
|
|
9193
|
+
data?: any,
|
|
9194
|
+
config?: AxiosRequestConfig
|
|
9195
|
+
): OperationResponse<Paths.ReopenCalendarSuggestion.Responses.$200>;
|
|
9196
|
+
};
|
|
9051
9197
|
}
|
|
9052
9198
|
|
|
9053
9199
|
export type Client = OpenAPIClient<OperationMethods, PathsDictionary>;
|
|
@@ -9110,6 +9256,7 @@ export type Filter = Components.Schemas.Filter;
|
|
|
9110
9256
|
export type FilterClause = Components.Schemas.FilterClause;
|
|
9111
9257
|
export type FilterResponse = Components.Schemas.FilterResponse;
|
|
9112
9258
|
export type CreateFilterInput = Components.Schemas.CreateFilterInput;
|
|
9259
|
+
export type CreateFilterResponse = Components.Schemas.CreateFilterResponse;
|
|
9113
9260
|
export type UpdateFilterInput = Components.Schemas.UpdateFilterInput;
|
|
9114
9261
|
export type Label = Components.Schemas.Label;
|
|
9115
9262
|
export type LabelResponse = Components.Schemas.LabelResponse;
|
|
@@ -9300,6 +9447,7 @@ export type LabelAction = Components.Schemas.LabelAction;
|
|
|
9300
9447
|
export type CalendarSuggestionState = Components.Schemas.CalendarSuggestionState;
|
|
9301
9448
|
export type CalendarInviteMethod = Components.Schemas.CalendarInviteMethod;
|
|
9302
9449
|
export type CalendarSuggestionSource = Components.Schemas.CalendarSuggestionSource;
|
|
9450
|
+
export type CalendarAnswerOvertaken = Components.Schemas.CalendarAnswerOvertaken;
|
|
9303
9451
|
export type CalendarInviteAnswer = Components.Schemas.CalendarInviteAnswer;
|
|
9304
9452
|
export type MessageSystemFlag = Components.Schemas.MessageSystemFlag;
|
|
9305
9453
|
export type MessageKeywordFlag = Components.Schemas.MessageKeywordFlag;
|